<?php

	App::uses('CakeEventListener', 'Event');

	class OrderEmailListener implements CakeEventListener {

		public function implementedEvents() {
			return array(
				'Model.Order.orderCreated' => 'orderCreated',
				'Model.Order.orderPaid' => 'orderPaid',
				'Model.Order.orderCompleted' => 'orderCompleted',
				'Model.Order.orderFailed' => 'orderFailed',
			);
		}

		public function orderCreated() {

		}

		public function orderPaid(CakeEvent $event) {

			debug('Sending order confirmation email');

		}

		public function orderCompleted(CakeEvent $event) {

			debug('Sending request feedback/thankyou email');

		}

		public function orderFailed(CakeEvent $event) {

			//SEND FAILURE MESSAGE TO ADMIN
			throw new Exception('Failed to process payment');
			
		}

	}
